# Right Branch

[![Gem version](http://img.shields.io/gem/v/right_branch.svg)](https://rubygems.org/gems/right_branch)
[![Build Status](https://travis-ci.org/DyegoCosta/right_branch.svg?branch=master)](https://travis-ci.org/DyegoCosta/right_branch)

Currently GitHub does not support switching the target branch of a Pull Request. This tool helps to do that in case a PR is submitted against a wrong branch.

## Getting started

Install gem:

```
$ gem install right_branch
```

Usage:

```
$ right_branch [options]
    -u, --username USERNAME          Username
    -r, --repository REPOSITORY      Repository
    -b, --new-branch NEW_BRANCH      New branch
    -p, --pull-request PULL_REQUEST  Pull request
    -t, --access-token ACCESS_TOKEN  Access token
        --password PASSWORD          Password
```

You can also use environment variables to set default configuration values.  

```
  $ export RIGHT_BRANCH_USERNAME=your_default_username
  $ export RIGHT_BRANCH_REPOSITORY=your_default_repository
  $ export RIGHT_BRANCH_ACCESS_TOKEN=your_default_access_token
```

## Acess token

You can avoid having to type your `username` and `password` by providing an access token
generated by GitHub.  
If you specify it with the `--access-token` option or have it defined
as a `RIGHT_BRANCH_ACCESS_TOKEN` envrionment variable, it will be used as you authentication method.  
You can [create access tokens through your GitHub Account Settings][create-access-token].

[create-access-token]:https://help.github.com/articles/creating-an-access-token-for-command-line-use
